com.impinj.octane

## Enum DirectionReportType

- java.lang.Object
- - java.lang.Enum<DirectionReportType>
  - - com.impinj.octane.DirectionReportType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DirectionReportType>

      public enum DirectionReportType
      extends java.lang.Enum<DirectionReportType>

  DirectionReportType is an enum used to indicate the event that caused a `DirectionReport` to be sent. It wraps the equivalent LTK type ImpinjDirectionReportType.
  See Also:
    `DirectionReport.getReportType()`, `ImpinjDirectionReportType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTRY_REPORT` This report type indicates that a tag has entered the tracked population of tags.
    `EXIT_REPORT` This report type indicates that the tag has not been read within the amount of time specified by `DirectionConfig.setTagAgeIntervalSeconds(short)` and is no longer considered part of the tracked tag population.
    `UPDATE_REPORT` This report type indicates that the tag has been seen within the amount of time specified by `DirectionConfig.setTagAgeIntervalSeconds(short)`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.llrp.ltk.generated.custom.enumerations.ImpinjDirectionReportType` | `toImpinjDirectionReportType()`
    `java.lang.String` | `toString()`
    `static DirectionReportType` | `valueOf(int directionReportTypeValue)`
    `static DirectionReportType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DirectionReportType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTRY_REPORT

          public static final DirectionReportType ENTRY_REPORT

      This report type indicates that a tag has entered the tracked population of tags.

    - #### UPDATE_REPORT

          public static final DirectionReportType UPDATE_REPORT

      This report type indicates that the tag has been seen within the amount of time specified by `DirectionConfig.setTagAgeIntervalSeconds(short)`.

    - #### EXIT_REPORT

          public static final DirectionReportType EXIT_REPORT

      This report type indicates that the tag has not been read within the amount of time specified by `DirectionConfig.setTagAgeIntervalSeconds(short)` and is no longer considered part of the tracked tag population.

  - ### Method Detail

    - #### values

          public static DirectionReportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DirectionReportType c : DirectionReportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DirectionReportType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toImpinjDirectionReportType

          public org.llrp.ltk.generated.custom.enumerations.ImpinjDirectionReportType toImpinjDirectionReportType()

      Returns:
        the equivalent LTK enum that DirectionReportType wraps
      See Also:
        `ImpinjDirectionReportType`

    - #### valueOf

          public static DirectionReportType valueOf(int directionReportTypeValue)

      Parameters:
        `directionReportTypeValue` - int value of equivalent LTK enum ImpinjDirectionReportType
      Returns:
        DirectionReportType associated with provided directionReportTypeValue

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DirectionReportType>`
      Returns:
        The report type as you would specify in source code, but as a String.